NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
NXOpen.Features.MidSurfaceByFacePairs Class Reference

Represents a mid surface by face pairs feature More...

Inheritance diagram for NXOpen.Features.MidSurfaceByFacePairs:
NXOpen.Features.BodyFeature NXOpen.Features.Feature NXOpen.NXObject NXOpen.IProfile NXOpen.IFitTo NXOpen.TaggedObject NXOpen.INXObject NXOpen.INXObject NXOpen.INXObject NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe
NXOpen.Features.MidSurfaceFacePair[] 
FindFacePairs ()
 Get the face pair data from midsurface feature or solid body More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.Features.Feature
enum  BooleanType {
  Create, Unite, Subtract, Intersect,
  EmbossNormalSide = 8, EmbossOppositeNormalSide
}
 Boolean operation type. More...
 
enum  DiagnosticType { Information = 1, Warning }
 Diagnostic type More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 
- Properties inherited from NXOpen.Features.Feature
unsafe int AlgorithmVersion [get]
 Returns the algorithm version of the feature More...
 
unsafe
NXOpen.Features.IContainerFeature 
ContainerFeature [get]
 Returns the container feature for this feature. More...
 
unsafe string FeatureType [get]
 Returns the feature type More...
 
unsafe bool IsContainedFeature [get]
 Returns true if the feature is a contained feature. More...
 
unsafe bool IsInternal [get]
 Returns true if the feature is internal. More...
 
unsafe NXOpen.Point3d Location [get]
 Returns the location of the feature More...
 
unsafe bool Suppressed [get]
 Returns the suppression status of the feature More...
 
unsafe int Timestamp [get]
 Returns the timestamp of the feature More...
 

Detailed Description

Represents a mid surface by face pairs feature

To create or edit an instance of this class, use NXOpen.Features.MidSurfaceByFacePairsBuilder

Created in NX7.5.0

Member Function Documentation

unsafe NXOpen.Features.MidSurfaceFacePair [] NXOpen.Features.MidSurfaceByFacePairs.FindFacePairs ( )
inline

Get the face pair data from midsurface feature or solid body

Created in NX8.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Returns

The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.